using System;

internal sealed class Delegate169 : MulticastDelegate
{
	public extern object Invoke(object object_0, object object_1);

	public static object smethod_0(object object_0, object object_1, Delegate169 delegate169_1)
	{
		return delegate169_1(object_0, object_1);
	}

	public extern Delegate169(object object_0, IntPtr intptr_0);

	static Delegate169()
	{
		Class10.smethod_13(typeof(Delegate169).TypeHandle);
	}

	internal static Delegate169 delegate169_0;
}
